<owl-carousel-o [options]="customOptions">
  <ng-template carouselSlide *ngFor="let item of dataList">
    <ng-container *ngTemplateOutlet="itemTemplate; context: { $implicit: item }"></ng-container>
  </ng-template>
</owl-carousel-o>